#!/bin/bash

export CUR_DIR=`pwd`
export APP_LINUX=${CUR_DIR}/../../..
export APP_RELEASE=${APP_LINUX}/build/app/release
export INSTALL_DIR=${APP_LINUX}/src/install


MYTGT=$1
VERSION=$2

if [ -z "MYTGT" ]; then
  echo "error MYTGT is empty"
    exit 1
fi

if [ -z "VERSION" ]; then
  echo "error VERSION is empty"
    exit 1
fi

echo "deb release = ${MYTGT}   ${VERSION}"

#合入平安银行整改要求，应对红线整改最小化权限规则：
#安装目录文件及文件夹都为root:root，
#文件及文件夹权限都在打包前赋予好，文件夹默认权限使用755，可执行文件默认为755，不需要执行的文件默认为644

if [ -f ${INSTALL_DIR}/image/UniVPNA_UOS.desktop ];then
	rm ${INSTALL_DIR}/image/UniVPNA_UOS.desktop
fi
if [ -f ${INSTALL_DIR}/image/cn.com.huawei-security-commercial-alliance.univpn.png ];then
	rm ${INSTALL_DIR}/image/cn.com.huawei-security-commercial-alliance.univpn.png
fi
if [ -f ${INSTALL_DIR}/image/cn.com.huawei-security-commercial-alliance.univpn.desktop ];then
	rm ${INSTALL_DIR}/image/cn.com.huawei-security-commercial-alliance.univpn.desktop
fi


chmod 755 ${INSTALL_DIR}

find ${INSTALL_DIR}/*  -exec chmod 755 {} \;

chmod 644 ${INSTALL_DIR}/sysconfig.ini
chmod 644 ${INSTALL_DIR}/qt.conf
chmod 644 ${INSTALL_DIR}/image/logo.png
chmod 644 ${INSTALL_DIR}/image/ICON.ico
chmod 644 ${INSTALL_DIR}/image/Customized/customized.ini
chmod 644 ${INSTALL_DIR}/help/UniVPN_zh.pdf
chmod 644 ${INSTALL_DIR}/help/UniVPN_en.pdf
chmod 644 ${INSTALL_DIR}/fonts/Alibaba-PuHuiTi-Regular.otf
chmod 644 ${INSTALL_DIR}/language/language.ini
chmod 644 ${INSTALL_DIR}/language/2052/l_UILabel.ini
chmod 644 ${INSTALL_DIR}/language/1033/l_UILabel.ini
chmod 544 ${INSTALL_DIR}/image/UniVPN.desktop
chmod 544 ${INSTALL_DIR}/install_x64.sh
chmod 544 ${INSTALL_DIR}/uninstall.sh

chmod u+s ${INSTALL_DIR}/serviceclient/UniVPNCS
chmod u+s ${INSTALL_DIR}/promote/UniVPNPromoteService
chmod a+x ${INSTALL_DIR}/UniVPN

chmod 755 ${INSTALL_DIR}/UniVPNA.sh
chmod 544 ${INSTALL_DIR}/image/UniVPNA.desktop

# compress correlative files to a .tar package
tar --exclude-vcs --directory=${INSTALL_DIR} UniVPNA.sh install_x64.sh uninstall.sh sysconfig.ini qt.conf fonts bak component config driver image language help lib log plugins promote serviceclient update UniVPN UniVPNUpdate -zcvf ${APP_RELEASE}/${MYTGT}.tar.gz

INSTALL_SCRIPT_NAME=${INSTALL_DIR}/install_x64.sh
# make a .run install pachage
cat $INSTALL_SCRIPT_NAME ${APP_RELEASE}/${MYTGT}.tar.gz > ${APP_RELEASE}/${MYTGT}-linux-64-${VERSION}.run

rm -rf ${APP_RELEASE}/${MYTGT}.tar.gz
